Subject: [bug#51774] [PATCH] gnu: Add font-source-code-pro.

From: phodina <[email-masked]>
Date: Mon, 15 Nov 2021 22:12:49 +0000

Hi Liliana,

> > https://github.com/adobe-fonts/source-code-pro")
> >
> > -                      (commit (string-append version "R-ro/1.058R-
> >
> >
> >
> > it/1.018R-VAR"))))
>
> Am I allowed to ask WTF this versioning scheme is? Should we just pin
>
> a hash instead?

Hilarious, right? I agree that a hash commit would be better suited here.

>
> > -                (file-name (git-file-name name version))
> >
> >
> > -                (sha256
> >
> >
> > -                 (base32
> >
> >
> > -                  "00h4v3rmxyyaxni6nywacxvjnji2g2pi0b4js1yx0g67fvrv2ga
> >
> >
> >
> > g"))))
> >
> > -   (build-system font-build-system)
> > -   (synopsis "Font for coding environments")
> > -   (description "Font Source Code Pro is sedigned as a companion to
> >
> >     Source
> >
> >     +Sans.")
>
> This scrediption is not very scrediptive ;) Jokes aside, I'd add "[It]
>
> preserves the design features and vertical proportions of Source Sans,
>
> but alters the glyph widths so that they are uniform across all glyphs
>
> and weights." so that Adobe bois know what they're getting.
>

Thanks for the tip!

> > -   (home-page "https://fonts.google.com/specimen/Source+Code+Pro")
>
> I'm not sure whether linking to Google fonts of all places is good
>
> praxis. Might want to link to Github instead. FWIW the repo
>
> advertises this: https://adobe-fonts.github.io/source-code-pro/
>
> Cheers

Sure, github might be more prefereble.

PS: Though at the end it comes to which is better: Google vs Microsoft ;-)